# telegram.PhotoSize

class telegram.PhotoSize(file_id, file_unique_id, width, height, file_size=None, bot=None, **_kwargs)

  Bases: `telegram.base.TelegramObject`

  This object represents one size of a photo or a file/sticker thumbnail.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `file_unique_id` is equal.

  Parameters

    - file_id (`str`) – Identifier for this file, which can be used to download or reuse the file.

    - file_unique_id (`str`) – Unique identifier for this file, which is supposed to be the same over time and for different bots. Can’t be used to download or reuse the file.

    - width (`int`) – Photo width.

    - height (`int`) – Photo height.

    - file_size (`int`, optional) – File size.

    - bot (`telegram.Bot`, optional) – The Bot to use for instance methods.

    - **kwargs (`dict`) – Arbitrary keyword arguments.

  file_id

    Identifier for this file.

    Type

      `str`

  file_unique_id

    Unique identifier for this file, which is supposed to be the same over time and for different bots. Can’t be used to download or reuse the file.

    Type

      `str`

  width

    Photo width.

    Type

      `int`

  height

    Photo height.

    Type

      `int`

  file_size

    Optional. File size.

    Type

      `int`

  bot

    Optional. The Bot to use for instance methods.

    Type

      `telegram.Bot`

  get_file(timeout=None, api_kwargs=None)

    Convenience wrapper over `telegram.Bot.get_file`

    For the documentation of the arguments, please see `telegram.Bot.get_file()`.

    Returns

      `telegram.File`

    Raises

      telegram.error.TelegramError –